<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/penetapan/pidana_militer/".$filename.".rtf");


$Template = file_get_contents($url);

function in_multiarray($sval, $arr){
	$ret = false;
	foreach ($arr as $value) {
		if (is_array($value)){
			$ret = $ret | in_multiarray($sval, $value);
		}else{
			if ($value == $sval){
				return true;
			}
		}
	}
	return $ret;
}
$dataPenetapan = $dataTemplate;
$terdakwa = array();
$hakim = array();
foreach ($dataPenetapan->result() as $row) {
    if (!in_multiarray($row->namat, $terdakwa)){
    	$terdakwaItem = array();
    	$terdakwaItem["nama"] = $row->namat;
    	$terdakwaItem["pihak_id"] = $row->pihak_id;
    	$terdakwaItem["alamat"] = $row->alamatt;
    	$terdakwaItem["urutant"] = $row->urutanT;
    	$terdakwaItem["tlt"] = $row->tlt;
    	$terdakwaItem["tgllhrt"] = $row->tgllhrt;
    	$terdakwaItem["jkt"] = $row->jkt;
    	$terdakwaItem["agama"] = $row->agamat;
    	$terdakwaItem["alamatt"] = $row->alamatt;
    	$terdakwaItem["nrp"] = $row->nrp;
    	$terdakwaItem["jabatant"] = $row->jabatant;
    	$terdakwaItem["pangkatt"] = $row->pangkat;
    	$terdakwaItem["kesatuan"] = $row->kesatuan;
    	$terdakwa[] = $terdakwaItem;
    }
    if (!in_multiarray($row->nama_hakim, $hakim)){
    	$hakimItem = array();
    	$hakimItem["nama_hakim"] = $row->nama_hakim;
    	$hakimItem["jabatan_hakim_nama"] = $row->jabatan_hakim_nama;
    	$hakimItem["urutan_hakim"] = $row->urutan_hakim;
    	$hakimItem["pangkat"] = $row->pangkat;
    	$hakimItem["jabatan"] = $row->jabatan;
    	$hakimItem["nip"] = $row->nip;
    	$hakim[] = $hakimItem;
    }

	$nomorperkara=$row->nomor_perkara;
	$urutan=$row->urutan_hakim;
	$jabatan=$row->jabatan_hakim_nama;
	$namaPejabat=$this->templatehelper->standradnaming($row->KetuaPNNama);
	$tanggalPendaftaran=$this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran);
	$tanggalSurat=$this->templatehelper->convertKeTglIndo($row->tgl_surat_dakwaan);
	$tglPenetapanharisidang=$this->templatehelper->convertKeTglIndo($row->penetapanharisidang);
	$nomorSurat=$row->nomor_surat;
	$tgl_pen_hakim=$this->templatehelper->convertKeTglIndo($row->penetapan_majelis_hakim);
	$tgl_pen_pp=$this->templatehelper->convertKeTglIndo($row->tgl_pen_pp);
	$kode_pn=$row->kode_pn;
	$nomurUrutPerkara = $row->nomor_urut_perkara;
	$matra=$row->matra;
	if($matra==1){
		$matra1='AD';
	}elseif ($matra==2) {
		$matra1='AL';
	}else{
		$matra1='AU';
	}
	$nomorSplit = explode("/",$nomorperkara);
	$blnSplit = $nomorSplit['3'];
	$thnSplit = $nomorSplit['4'];
	$noreg = $nomorSplit['0'];
	$nama_pengadilan=$row->namaPengadilan;
	$nama_kota=$this->templatehelper->namaKota($row->namaPengadilan);
	$tanggal_skeppera = $this->templatehelper->convertKeTglIndo($row->tanggal_skeppera);
	$pejabat_skeppera = $row->pejabat_skeppera;	
	$nomor_skeppera = $row->nomor_skeppera;
	$tanggal_surat_dakwaan = $this->templatehelper->convertKeTglIndo($row->tanggal_surat_dakwaan);
	$nomor_surat_dakwaan = $row->nomor_surat_dakwaan;
	$nama_kadilmil = $row->KetuaPNNama;
	$Spengadilan = explode(" ",$row->pengadilan);
	$nmPengadilan = $Spengadilan['0'].' '.$Spengadilan['1'];
	$kotaPengadilan = $Spengadilan['3'];
	$kode_pn1 = str_replace("PM.", "", $kode_pn);
	$nama_pp =  $row->nama_pp.' '.$row->pangkat_pp.' NRP '.$row->nip_pp;
	$ditetapkanoleh = $row->ditetapkanoleh;
	$pangkat_korp_ketua=$row->PangkatKetua; 
	$nrp_kadilmil=$row->KetuaPNNip;
	$berkas_dari= $row->berkas_dari;
	$nama_pt = $row->namaPT; 

}
$cterdakwa = count($terdakwa);
if($cterdakwa>1){
	$cTer='para terdakwa';
}else{
	$cTer='terdakwa';
}


$i = 1;
foreach ($terdakwa as $item) {
	if($item["pihak_id"]==$idpihak){
			$naskah = 'Nama lengkap \tab : '.$this->templatehelper->standradnaming($item["nama"]).'\\par ';
			$naskah .= 'Pangkat/NRP \tab : '.$row->pangkat.'/'.$item["nrp"].'\\par ';
			$naskah .= 'Jabatan \tab : '.$item["jabatant"].'\\par ';
			$naskah .= 'Kesatuan \tab : '.$item["kesatuan"].'\\par ';
			$naskah .= 'Tempat, tanggal lahir \tab : '.$item["tlt"].','.$this->templatehelper->convertKeTglIndo($item["tgllhrt"]).'\\par ';
			$naskah .= 'Jenis kelamin \tab : '.$item["jkt"].'\\par ';
			$naskah .= 'Kewarganegaraan \tab : '.'Indonesia'.'\\par ';
			if(!empty($item["agama"])){
				$agm=$item["agama"];
			}else{
				$agm='Belum diisi';
			}
			$naskah .= 'Agama \tab : '.$agm.'\\par ';
			$naskah .= 'Tempat tinggal \tab : '.$item["alamatt"].'\\par ';
			$brnaskah = $naskah.' \\par '.PHP_EOL.(($i<$cterdakwa)?(""):(""));
			$terdakwa_lst = $this->templatehelper->standradnaming($item["nama"]).' '.$item["pangkatt"].' NRP '.$item["nrp"];
			$Template = str_replace("#terdakwaParties#",''.$brnaskah.'',$Template);
			$Template = str_replace("#terdakwa_lst#",''.$terdakwa_lst.'',$Template);	
			$i++;
		}
}

$counter = 1;
$pihak2=''; $penahanan_pihak2='';$namaterdakwa='';
if (!empty($dataterdakwa->num_rows)){   
    foreach ($dataterdakwa->result() as $row){
        $pihak2 .= 'Nama lengkap \tab : '.$this->templatehelper->standradnaming(strtolower($row->nama)).'\\par ';
        $pihak2 .= 'Pangkat/NRP \tab : '.$row->pangkat.'/'.$row->nrp.'\\par ';
        $pihak2 .= 'Jabatan \tab : '.$row->jabatan.'\\par ';
        $pihak2 .= 'Kesatuan \tab : '.$row->kesatuan.'\\par ';
        $pihak2 .= 'Tempat, Tanggal lahir \tab : '.$row->tempat_lahir.','.$this->tanggalhelper->getSelisihTahun($row->tanggal_lahir,date('Y-m-d')).'/ '.$this->templatehelper->convertKeTglIndo($row->tanggal_lahir).'\\par ';
        if ($row->jenis_kelamin=='L') {
            $pihak2 .= 'Jenis kelamin \tab : '.'Laki-laki'.'\\par ';
        } else {
            $pihak2 .= 'Jenis kelamin \tab : '.'Perempuan'.'\\par ';
        }
        $pihak2 .= 'Kewarganegaraan \tab : Indonesia \\par ';
        $pihak2 .= 'Agama \tab : '.$row->agama_nama.'\\par ';
        $pihak2 .= 'Tempat tinggal \tab : '.$row->alamat.'\\par ';
        $namaterdakwa .= $this->templatehelper->standradnaming(strtolower($row->nama));

        $temp = '';
        
        $counterpenahanan = 1;
        $status_penahanan = '';
        $jenistahanan='';
        $jenis_tahanan = '';$tglPenetapan='';$nomor_surat_bef='';$tglPenetapan_bef;$sampai_bef='';
        $var1='';
        if ($datapenahanan->num_rows > 0){
            $i=1;
            $var1 = (($datapenahanan->num_rows)-1);
            $ambil_yang_kedua='';
            $lama_penahanan='';
            foreach ($datapenahanan->result() as $val){
            	if($val->lama_penahanan != null){
            		$lama_penahanan = $val->lama_penahanan;	
            	}else{
            		$lama_penahanan = '0';
            	}
            	
            	if($val->id != $idpenahanan){

            		if ($i==$var1){
            			$ambil_yang_kedua=$val;
            			if(!empty($val->nomor_surat)){
            				$nomor_surat_bef = $val->nomor_surat;	
            			}else{
            				$nomor_surat_bef = '.........';
            			}
            			if($val->tglPenetapan='0000-00-00'){
            				$tglPenetapan_bef = $val->tglPenetapan;	
            			}else{
            				$tglPenetapan_bef = '.........';
            			}
            			if($val->sampai='0000-00-00'){
            				$sampai_bef = $val->sampai;	
            			}else{
            				$sampai_bef = '.........';
            			}
            			if($val->lama_penahanan != null){
            				$lama_penahan_bef = $val->lama_penahanan;	
            			}else{
            				$lama_penahan_bef = '0';
            			}
            			
            			
						$Template = str_replace('#tglPenetapan_bef#',$this->templatehelper->convertKeTglIndo($tglPenetapan_bef),$Template);
						$Template = str_replace('#sampai_bef#',$this->templatehelper->convertKeTglIndo($sampai_bef),$Template);
						$Template = str_replace('#nomor_surat_bef#',$nomor_surat_bef,$Template);
						$Template = str_replace('#lama_penahan_bef#',$this->templatehelper->Terbilang($lama_penahan_bef),$Template);
            		}


	            	$tglPenetapan = $val->tglPenetapan;
	            	
	                $temp = strtolower($val->status_penahanan).' dalam '.$val->jenis_tahanan;
	                if (trim($status_penahanan) != strtolower(trim($val->status_penahanan)) || $status_penahanan ==='' || $jenis_tahanan === '' || $jenis_tahanan != strtolower(trim($val->jenis_tahanan))){
	                    $penahanan_pihak2 .= 'Terdakwa '.$this->templatehelper->standradnaming($row->nama).' '.$temp.' oleh: \\par ';    
	                }
	                $penahanan_pihak2 .= strval($counterpenahanan).'. \tab '
	                					.$val->oleh.' selama '
	                					.$lama_penahanan
	                					.' ('.$this->templatehelper->Terbilang($lama_penahanan).') '.' sejak tanggal '
	                					.$this->templatehelper->convertKeTglIndo($val->sejak).' s/d '
	                					.$this->templatehelper->convertKeTglIndo($val->sampai).' di '
	                					.' berdasarkan Keputusan Perpanjangan Penahanan Nomor : '
	                					.$val->nomor_surat.' tanggal '
	                					.$this->templatehelper->convertKeTglIndo($val->tanggal_surat)
	                					.'; \\par ';
	                $status_penahanan = strtolower(trim($val->status_penahanan));
	                $jenis_tahanan = strtolower(trim($val->jenis_tahanan));
	                $counterpenahanan ++;
            	}
            	$i++;
            }

            $Template = str_replace('#sejak#',$this->templatehelper->convertKeTglIndo($val->sejak),$Template);
            $template = str_replace('#sampai#',$this->templatehelper->convertKeTglIndo($val->sampai),$Template);
            $Template = str_replace("#tglPenetapan#",$this->templatehelper->convertKeTglIndo($tglPenetapan),$Template);
			$Template = str_replace("#lama_penahanan#",$lama_penahanan.' ('.$this->templatehelper->Terbilang($lama_penahanan).') ',$Template);	
        
        }else{
            $penahanan_pihak2 .= ' Tidak ada Penahanan ';
        }
        
        $Template=str_replace('#namaterdakwa#',$namaterdakwa,$Template);
        $Template = str_replace('#jenistahanan#',$jenis_tahanan,$Template);
        $Template = str_replace('#terdakwa#',$pihak2,$Template);
        $Template = str_replace('#penahanan#',$penahanan_pihak2,$Template);
        $counter++;
    }

}


$cMajelis = count($hakim);
$pangkat_hakim_ketua='';
$pangkat_hakim_ketua='';
$i = 1;
foreach ($hakim as $item) {
	if(!empty($hakim)){
	if($item['urutan_hakim']==1){
		$naskah =strtoupper($item["jabatan_hakim_nama"]).' \tab :'.$this->templatehelper->standradnaming($item["nama_hakim"]).' '.$item["pangkat"].' NRP.'.$item["nip"];
		$hakim_ketua = $item["nama_hakim"];
		$pangkat_hakim_ketua = $item["pangkat"];
		$nrp_hakim_ketua = $item["nip"];

	}else{
		$naskah =strtoupper($item["jabatan_hakim_nama"]).' \tab :'.($item["urutan_hakim"]-1).'.'.$this->templatehelper->standradnaming($item["nama_hakim"]).' '.$item["pangkat"].' NRP.'.$item["nip"];
	}
	$brnaskah = $naskah.' \\par '.PHP_EOL.(($i<$cMajelis)?("#hakimParties#"):(""));
	$Template = str_replace("#hakimParties#",''.$brnaskah.'',$Template);
	$i++;
}}

	
if (empty($tanggalSurat)){ $tanggalSurat="#Isi Dulu Tanggal Surat Pada Aplikasi#"; }
$Template = str_replace("#para/terdakwa#",''.$cTer.'',$Template);
$Template = str_replace("#namaPengadilan#",''.$nama_pengadilan.'',$Template);
$Template = str_replace("#nomor_reg#",''.$nomorperkara.'',$Template);
$Template = str_replace("#tanggal#",''.$tanggalPendaftaran.'',$Template);
$Template = str_replace("#tgl_pen_hakim#",''.$tgl_pen_hakim.'',$Template);
$Template = str_replace("#tgl_pen_pp#",''.$tgl_pen_pp.'',$Template);
$Template = str_replace("#tgl_tapsid#",''.$tglPenetapanharisidang.'',$Template);
$Template = str_replace("#tanggalSurat#",''.$tanggalSurat.'',$Template);
$Template = str_replace("#kode_pn#",''.$kode_pn.'',$Template);
$Template = str_replace("#kode_pn1#",''.$kode_pn1.'',$Template);
$Template = str_replace("#matra#",''.$matra1.'',$Template);
$Template = str_replace("#nomor#",''.$noreg.'',$Template);
$Template = str_replace("#bulan#",''.$blnSplit.'',$Template);
$Template = str_replace("#tahun#",''.$thnSplit.'',$Template);
$Template = str_replace("#kode_pn#",''.$kode_pn.'',$Template);
$Template = str_replace("#skeppera#",''.$pejabat_skeppera.'',$Template);
$Template = str_replace("#nomor_keppera#",''.$nomor_skeppera.'',$Template);
$Template = str_replace("#tanggal_keppera#",''.$tanggal_skeppera.'',$Template);
$Template = str_replace("#nomor_dakwaan#",''.$nomor_surat_dakwaan.'',$Template);
$Template = str_replace("#tanggal_dakwaan#",''.$tanggal_surat_dakwaan.'',$Template);
$Template = str_replace("#nama_kadilmil#",''.$nama_kadilmil.'',$Template);
$Template = str_replace("#kota_pn#",''.ucwords(strtolower($kotaPengadilan)).'',$Template);
$Template = str_replace("#kota_pn1#",''.$kotaPengadilan.'',$Template);
$Template = str_replace("#nama_panitera#",''.$nama_pp.'',$Template);
$Template = str_replace("#nama_hakim_ketua#",''.$hakim_ketua.'',$Template);
$Template = str_replace("#pangkat_hakim_ketua#",''.$pangkat_hakim_ketua.'',$Template);
$Template = str_replace("#nrp_hakim_ketua#",''.$nrp_hakim_ketua.'',$Template);
$Template = str_replace("#ditetapkanoleh#",''.$ditetapkanoleh.'',$Template);
$Template = str_replace("#pangkat_korp#",''.$pangkat_korp_ketua.'',$Template);
$Template = str_replace("#nrp_kadilmil#",''.$nrp_kadilmil.'',$Template);
$Template = str_replace("#kode_otmil#",''.$berkas_dari.'',$Template);
$Template = str_replace("#nama_pt#",''.ucwords(strtolower($nama_pt)).'',$Template);
if($tgl_sejak!=null){
	$tgl_sejak	= $this->templatehelper->convertKeTglIndo($tgl_sejak);
}else{
	$tgl_sejak	= '.....';
}
if($tgl_sampai!=null){
	$tgl_sampai	= $this->templatehelper->convertKeTglIndo($tgl_sampai);
}else{
	$tgl_sampai	= '.....';
}
if($lama_penahanan_nya!=NULL){
	$lamaTahanan = $lama_penahanan_nya.' ('.$this->templatehelper->Terbilang($lama_penahanan_nya).') hari';
}else{
	$lamaTahanan = '............() hari';
}

$Template = str_replace("#tanggal_mulai#",$tgl_sejak,$Template);
$Template = str_replace("#tanggal_selesai#",$tgl_sampai,$Template);
$Template = str_replace("#lamaTahanan#",''.$lamaTahanan.'',$Template);
$Template = str_replace("#tgl_Pen#",''.$this->templatehelper->convertKeTglIndo($tanggal_surat).'',$Template);


$Template = str_replace("#mulaiBef#",$this->templatehelper->convertKeTglIndo($mulaiBef),$Template);
$Template = str_replace("#sampaiBef#",$this->templatehelper->convertKeTglIndo($sampaiBef),$Template);
$Template = str_replace("#lama_penahananBef#",''.$lama_penahananBef.' ('.$this->templatehelper->Terbilang($lama_penahananBef).') '.'',$Template);
$Template = str_replace("#tanggal_suratBef#",$this->templatehelper->convertKeTglIndo($tanggal_suratBef),$Template);
$Template = str_replace("#nomor_suratBef#",$nomor_suratBef,$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;
?>